Loading...
Searching...
No Matches
psa_pake_cipher_suite_s Struct Reference

`#include <crypto_extra.h>`

## Data Fields

psa_algorithm_t | algorithm
psa_pake_primitive_type_t | type
psa_pake_family_t | family
uint16_t | bits
psa_algorithm_t | hash

## Detailed Description

Definition at line 1718 of file crypto_extra.h.

## Field Documentation

## algorithm

psa_algorithm_t psa_pake_cipher_suite_s::algorithm

Definition at line 1719 of file crypto_extra.h.

Referenced by psa_pake_cs_get_algorithm(), and psa_pake_cs_set_algorithm().

## bits

uint16_t psa_pake_cipher_suite_s::bits

Definition at line 1722 of file crypto_extra.h.

Referenced by psa_pake_cs_get_bits(), psa_pake_cs_get_primitive(), and psa_pake_cs_set_primitive().

## family

psa_pake_family_t psa_pake_cipher_suite_s::family

Definition at line 1721 of file crypto_extra.h.

Referenced by psa_pake_cs_get_family(), psa_pake_cs_get_primitive(), and psa_pake_cs_set_primitive().

## hash

psa_algorithm_t psa_pake_cipher_suite_s::hash

Definition at line 1723 of file crypto_extra.h.

Referenced by psa_pake_cs_get_hash(), and psa_pake_cs_set_hash().

## type

psa_pake_primitive_type_t psa_pake_cipher_suite_s::type

Definition at line 1720 of file crypto_extra.h.

Referenced by psa_pake_cs_get_primitive(), and psa_pake_cs_set_primitive().

The documentation for this struct was generated from the following file:

- crypto_extra.h